<!DOCTYPE html>
<html lang = "en">
    <!-- root tag -->
<head>
    <!-- our head contains metadata -->
    <title>Stock Guessing Game</title>
    <meta charset="UTF-8"/>
    <!-- links to external CSS or internal css -->
    
    <!-- bootstrap -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>

    <link rel="stylesheet" type="text/css" href="styles.css"/>
    <link rel="icon" href="favIcon.png" type="image/icon type">

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <div class="container-fluid">
          <a class="navbar-brand" href="#">NPC</a>
          <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
              <li class="nav-item">
                <a class="nav-link active" aria-current="page" href="./home.html">Home</a>
              </li>
              <li class="nav-item">
                <a class="nav-link active" aria-current="page" href="./account.html">Account</a>
              </li>
              <!-- <li class="nav-item">
                <a id="register-a"class="nav-link active" aria-current="page" hidden href="./register.html">Register</a>
              </li>
              <li class="nav-item">
                <a id="login-a"class="nav-link active" aria-current="page" hidden href="./login.html">Login</a>
              </li> -->
              <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                  Games
                </a>
                <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                  <li><a class="dropdown-item" href="./rockpaperscissors.html">1. Rock Paper Scissors</a></li>
                  <li><a class="dropdown-item" href="./stockguessing.html">2. Stock Guessing Game</a></li>
                  <li><a class="dropdown-item" href="./coin-flip.html">3. Coin Flip Game</a></li>

                </ul>
              </li>
              <li id="rules-button" class="nav-item">
                <!-- Button triggered modal with game rules -->
                <button type="button" class="btn btn-warning" data-bs-toggle="modal" data-bs-target="#exampleModal">
                    Rules
                  </button>
              </li>
            </ul>
            <ul class = "navbar-nav mb-2 mb-lg-0">
              <li class="nav-item d-flex">
                <button id="logout-button" type="button" class="btn btn-outline-danger">Log Out</button>
                <!-- <a id="logout-a"class="nav-link active" aria-current="page" hidden="false" href="#">Logout</a> -->
              </li>
            </ul>
        
          </div>
        </div>
      </nav>
    <br>
    <br>

    <h2>As of today, which stock is worth more?</h2>

      <!-- Modal -->
    <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Stock Guessing Game</h5>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
            Guess which stock is more expensive! You can make a bet on which one you think is right.
            </div>
            <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
            </div>
        </div>
        </div>
    </div>

    <div class="modal fade" id="winOrLoseModal" tabindex="-1" aria-labelledby="winOrLoseModalLabel" aria-hidden="true">
      <div class="modal-dialog">
      <div class="modal-content">
          <div class="modal-header">

            <!-- modal-title class to be targeted by JS -->
          <h5 class="modal-title" id="winOrLoseModalLabel">You Won or Lost! </h5>

          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
          </div>

            <!-- modal-body class to be targeted by JS -->
          <div class="modal-body" id="winOrLoseModalBody">
          You failed.. or were successful.. we're still trying to decide.
          </div>

          <div class="modal-footer">
          <button id= "close-modal-button" type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
          </div>
      </div>
      </div>
  </div>

  <div class="modal fade" id="errorModal" tabindex="-1" aria-labelledby="errorModalLabel" aria-hidden="true">
    <div class="modal-dialog">
    <div class="modal-content">
        <div class="modal-header">

          <!-- modal-title class to be targeted by JS -->
        <h5 class="modal-title" id="errorModalLabel">An Error Occured! </h5>

        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>

          <!-- modal-body class to be targeted by JS -->
        <div class="modal-body" id="errorModalBody">
        You didn't pick a stock or input a bet amount.
        </div>

        <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
        </div>
    </div>
    </div>
</div>

    <div id="player-choices" class="flex-container">
        <button type="button" class="btn btn-primary inner-element" id="choice1">Loading</button>
        <button type="button" class="btn btn-danger inner-element" id="choice2">Loading</button>
    </div>
    <br>
    <div id="bet">

        <!-- <form method="POST" action="" -->
        <div id="current-balance">
          <h6>Current Balance:</h6>
          <h6 id="placeholder-balance">Loading...</h6>
        </div>
        
        <form>

          
          <label>Bet amount: </label>

          <input id="bet-input" class="form" type="number" name="bet" min="0" placeholder="0" required step="1">
            
          <br>
          <br>
          <div id="confirm-bet">
        
            <!-- Button triggered modal with game rules -->
            <button id="confirm-bet-button" type="button" class="btn btn-outline-dark" data-bs-toggle="modal" data-bs-target="#errorModal">
              Confirm
            </button>

          </div>
        </form>
        
  
    </div>
    <br>

    <script src="stockgame.js"></script>
</body>

</html>